<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Відповіді на питання</h1>
    <p>Метод forEach - це вбудований метод в JavaScript, який застосовується до масивів. Він дозволяє виконати певну функцію для кожного елемента в масиві без необхідності вручну створювати цикл.</p>

    <p>Методи, які мутирують існуючий масив 
       1 - push() Додає один або більше елементів в кінець масиву.
       2 - pop() Видаляє останній елемент масиву.
       3 - splice() Додає або видаляє елементи з масиву на основі певних параметрів.
        
       Методи, які повертають новий масив
       1 - map() Створює новий масив з результатами виклику функції для кожного елемента масиву.
       2 - filter() Створює новий масив з усіма елементами, які пройшли перевірку, задану у функції.
       3 - slice() Повертає новий масив, який містить копію частини або всього вихідного масиву.
    </p>
    <p> 1 - instanceof оператор
        2 - Array.isArray() метод
        3 - typeof оператор з уточненням
    </p>
    <p>
        Використання map() є кращим:

        1 - Створити новий масив на основі вихідного масиву
        2 - Трансформувати кожен елемент масиву

        Використання forEach() може бути кращим:

        1 - Просто ітерувати по елементам масиву без створення нового масиву
        2 - Мутувати оригінальний масив
    </p>
    <p></p>
    <script src="script.js"></script>
</body>
</html>